Package com.io7m.jregions.core.unparameterized.volumes

# Class VolumeBD.Builder

java.lang.Object
com.io7m.jregions.core.unparameterized.volumes.VolumeBD.Builder

Enclosing class:
  VolumeBD

    public static final class VolumeBD.Builder
    extends java.lang.Object

Builds instances of type `VolumeBD`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `VolumeBD` | `build()` | Builds a new `VolumeBD`.
  `VolumeBD.Builder` | `from​(VolumeBDType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.volumes.VolumeBDType` instance.
  `VolumeBD.Builder` | `from​(VolumeValuesBDType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.volumes.VolumeValuesBDType` instance.
  `VolumeBD.Builder` | `setMaximumX​(java.math.BigDecimal maximumX)` | Initializes the value for the `maximumX` attribute.
  `VolumeBD.Builder` | `setMaximumY​(java.math.BigDecimal maximumY)` | Initializes the value for the `maximumY` attribute.
  `VolumeBD.Builder` | `setMaximumZ​(java.math.BigDecimal maximumZ)` | Initializes the value for the `maximumZ` attribute.
  `VolumeBD.Builder` | `setMinimumX​(java.math.BigDecimal minimumX)` | Initializes the value for the `minimumX` attribute.
  `VolumeBD.Builder` | `setMinimumY​(java.math.BigDecimal minimumY)` | Initializes the value for the `minimumY` attribute.
  `VolumeBD.Builder` | `setMinimumZ​(java.math.BigDecimal minimumZ)` | Initializes the value for the `minimumZ` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VolumeBD.Builder from​(VolumeBDType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.volumes.VolumeBDType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final VolumeBD.Builder from​(VolumeValuesBDType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.volumes.VolumeValuesBDType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinimumX

    public final VolumeBD.Builder setMinimumX​(java.math.BigDecimal minimumX)
    Initializes the value for the `minimumX` attribute.
    Parameters:
      `minimumX` - The value for minimumX
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximumX

    public final VolumeBD.Builder setMaximumX​(java.math.BigDecimal maximumX)
    Initializes the value for the `maximumX` attribute.
    Parameters:
      `maximumX` - The value for maximumX
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinimumY

    public final VolumeBD.Builder setMinimumY​(java.math.BigDecimal minimumY)
    Initializes the value for the `minimumY` attribute.
    Parameters:
      `minimumY` - The value for minimumY
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximumY

    public final VolumeBD.Builder setMaximumY​(java.math.BigDecimal maximumY)
    Initializes the value for the `maximumY` attribute.
    Parameters:
      `maximumY` - The value for maximumY
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinimumZ

    public final VolumeBD.Builder setMinimumZ​(java.math.BigDecimal minimumZ)
    Initializes the value for the `minimumZ` attribute.
    Parameters:
      `minimumZ` - The value for minimumZ
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximumZ

    public final VolumeBD.Builder setMaximumZ​(java.math.BigDecimal maximumZ)
    Initializes the value for the `maximumZ` attribute.
    Parameters:
      `maximumZ` - The value for maximumZ
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VolumeBD build()
    Builds a new `VolumeBD`.
    Returns:
      An immutable instance of VolumeBD
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing